require_relative './arma_fixer/version'
require_relative './arma_fixer/validation'
require_relative './arma_fixer/execute'
require_relative './arma_fixer/railtie' if defined?(Rails)

module ArmaFixer
  self.class.delegate :show, to: Execute

  module_function

  def run!
    start_time = Time.now
    show 'Started ArmaFixer task...'

    ArmaFixer::Validation.run!
    ArmaFixer::Execute.run!

    time_taken = (Time.now - start_time).round(2)
    show "Completed ArmaFixer task in #{time_taken} seconds."
  end
end
